Name:           nodejs-sphericalmercator
Version:        1.0.3
Release:        1%{?dist}
Summary:        Transformations between Spherical Mercator and Lat/Lon

License:        BSD
URL:            https://github.com/mapbox/node-sphericalmercator
Source0:        http://registry.npmjs.org/sphericalmercator/-/sphericalmercator-%{version}.tgz
BuildArch:      noarch

BuildRequires:  nodejs-devel

BuildRequires:  npm(mocha)

%description
Provides projection math for converting between mercator meters, screen
pixels (of 256x256 or configurable-size tiles), and latitude/longitude.


%prep
%setup -q -n package
rm -rf node_modules


%build


%check
%{nodejs_sitelib}/mocha/bin/mocha


%install
mkdir -p %{buildroot}/%{nodejs_sitelib}/sphericalmercator
cp -pr package.json sphericalmercator.js %{buildroot}/%{nodejs_sitelib}/sphericalmercator
%nodejs_symlink_deps


%files
%doc LICENSE.md README.md
%{nodejs_sitelib}/sphericalmercator


%changelog
* Wed Dec 17 2014 Tom Hughes <tom@compton.nu> - 1.0.3-1
- Update to 1.0.3 upstream release

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Feb 10 2013 Tom Hughes <tom@compton.nu> - 1.0.2-1
- Initial build of 1.0.2
